Show / Hide Table of Contents

# Class RequestOptions

Represents options that should be used when sending a request.

##### Inheritance

System.Object
RequestOptions

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public class RequestOptions

### Constructors

| Improve this Doc View Source

#### RequestOptions()

Initializes a new RequestOptions class with the default request timeout set in DiscordConfig.

##### Declaration

    public RequestOptions()

### Properties

| Improve this Doc View Source

#### AuditLogReason

Gets or sets the reason for this action in the guild's audit log.

##### Declaration

    public string AuditLogReason { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

##### Remarks

Gets or sets the reason that will be written to the guild's audit log if applicable. This may not apply to all actions.

| Improve this Doc View Source

#### CancelToken

Gets or sets the cancellation token for this request.

##### Declaration

    public CancellationToken CancelToken { get; set; }

##### Property Value

Type | Description
--- | ---
System.Threading.CancellationToken | A System.Threading.CancellationToken for this request.

| Improve this Doc View Source

#### Default

Creates a new RequestOptions class with its default settings.

##### Declaration

    public static RequestOptions Default { get; }

##### Property Value

Type | Description
--- | ---
RequestOptions |

| Improve this Doc View Source

#### HeaderOnly

##### Declaration

    public bool HeaderOnly { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### RetryMode

Gets or sets the retry behavior when the request fails.

##### Declaration

    public RetryMode? RetryMode { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<RetryMode> |

| Improve this Doc View Source

#### Timeout

Gets or sets the maximum time to wait for for this request to complete.

##### Declaration

    public int? Timeout { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Int32> | A System.Int32 in milliseconds for when the request times out.

##### Remarks

Gets or set the max time, in milliseconds, to wait for for this request to complete. If `null`, a request will not time out. If a rate limit has been triggered for this request's bucket and will not be unpaused in time, this request will fail immediately.

| Improve this Doc View Source

#### UseSystemClock

##### Declaration

    public bool? UseSystemClock { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Boolean> |

### Methods

| Improve this Doc View Source

#### Clone()

##### Declaration

    public RequestOptions Clone()

##### Returns

Type | Description
--- | ---
RequestOptions |